<?php $availableSocials = $this->getAvailableSocials(); ?>
<?php if (sizeof($availableSocials)): ?>
<div class="block social-register-authentication-channel  ">
        <?php foreach ($availableSocials as $key => $social): ?>
			<div class="actions-toolbar social-btn social-btn-actions-toolbar <?= $key ?>-login ">
                <div class="primary">
                    <button class="action social_button btn_<?= $key ?>_login form-item " id="account_btn_<?= $key ?>_login" type="button">
                        <i></i>
                            <span><?php echo __('Sign In with '.$social->getLabel()) ?></span>
                    </button>
                </div>
            </div>
        
			<script>
                require(['jquery', 'Mageplaza_SocialLogin/js/sociallogin'], function ($, SocialLoginPopup) {
					$('#account_btn_<?= $key ?>_login').click(function () {
						var popup = new SocialLoginPopup();
						popup.openPopup('<?php echo $social->getLoginUrl()?>', '<?php echo __('Login By %1', $social->getLabel())?>');
					});
				});
            </script>
		<?php endforeach; ?>
</div>
<?php endif; ?>